From 4a5814a70946496eba42f9ac43e9cafac314cc3e Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Tue, 16 Aug 2022 20:20:38 -0500
Subject: [PATCH 16/26] avoid shadow vars: execPartition.c: found_whole_row

commit 158b7bc6d77948d2f474dc9f2777c87f81d1365a
Author: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date:   Mon Apr 16 15:50:57 2018 -0300

    Ignore whole-rows in INSERT/CONFLICT with partitioned tables

See also:

commit 555ee77a9668e3f1b03307055b5027e13bf1a715
Author: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date:   Mon Mar 26 10:43:54 2018 -0300

    Handle INSERT .. ON CONFLICT with partitioned tables
---
 src/backend/executor/execPartition.c | 1 -
 1 file changed, 1 deletion(-)

diff --git a/src/backend/executor/execPartition.c b/src/backend/executor/execPartition.c
index ac03271882f..901dd435efd 100644
--- a/src/backend/executor/execPartition.c
+++ b/src/backend/executor/execPartition.c
@@ -768,7 +768,6 @@ ExecInitPartitionInfo(ModifyTableState *mtstate, EState *estate,
 			{
 				List	   *onconflset;
 				List	   *onconflcols;
-				bool		found_whole_row;
 
 				/*
 				 * Translate expressions in onConflictSet to account for
-- 
2.17.1

